Page({
  data: { },
  onLoad: function () {
    const _this = this;
    wx.showLoading({
      title: '数据加载中...',
    });
    wx.request({
      url: 'http://localhost:8000',  // 请求地址
      success: function(resp) {      // 请求成功的回调函数
        const dataFromServer = resp.data;
        _this.setData({ 
          userInfo: dataFromServer.userInfo,
          diaries: dataFromServer.diaries 
        });
        wx.hideLoading();
      },
      fail: function(resp) {
        wx.showToast({
          title: '数据请求失败',
          icon: 'none'
        });
      }
    })
  }
})
