const mysql = require('mysql');     // 引入mysql

// 创建数据库连接
const pool = mysql.createPool({
    host: 'localhost',              // MySQL所在的主机
    port: 3306,                     // MySQL监听的端口, 默认3306. 若有必要,根据自己的情况修改
    user: 'root',                   // 数据库登录名. 若有必要,根据自己的情况修改
    password: '1234',               // 数据库登录密码. 若有必要,根据自己的情况修改
    database: 'daily_reading',      // 数据库名称
});

// 执行SQL语句
function query(sql, params) {
    return new Promise((resolve, reject) => {
        pool.query(sql, params, (err, result) => {
            if (err) return reject(err);
            return resolve(result);
        });
    });
}

module.exports = {
    query
}